#ifndef RENDERER_H
#define RENDERER_H

/// This class does not depend on Qt, only on OpenGL
class Renderer
{
  public:
    Renderer();
    ~Renderer();

    bool initialized() const;

    void initializeGL();
    void resizeGL(int w, int h);
    void paintGL();

  protected:
    /// Draw for the given camera/eye.
    void drawEye(bool right);

    int m_w;
    int m_h;
    bool m_initialized;
};

#endif // #ifndef RENDERER_H
